require "player"
require "menu"
require "options"
require "collide"
require "animation"
require "zombie"

function love.load()	
	large = love.graphics.newFont("Font/font.ttf",45)
	medium = love.graphics.newFont("Font/font.ttf",30)
	small = love.graphics.newFont("Font/font.ttf",12)
	gamestate = "menu"
	black = {
	pic = love.graphics.newImage("img/Objects/Black.png")
	}
	yellow = {
	pic = love.graphics.newImage("img/Objects/yellow.png")
	}
	y_width = yellow.pic:getWidth()
	y_height = yellow.pic:getHeight()
	black_width = black.pic:getWidth()
	black_height = black.pic:getHeight()
	if gamestate == "menu" then
		button_spawn(10,200,"Play", "start")
		button_spawn(10, 260,"Option", "option")
		button_spawn(10,320,"Quit", "quit")
		option_spawn(10,200,"Pause Song", "pause")	
		anim = newAnimation(player.walk,21,20,0.1,0)
		--anim2 = newAnimation(player.color,21,20,0.1,0)
		--gun = love.audio.newSource("Audio/Effects/gun.wav","static")
	end
end

function loadLevel(n)
	if n == 1 then
		zombie_spawn(200,200)
		zombie_spawn(300,200)
		zombie_spawn(200,300)
		zombie_spawn(300,300)
	elseif n == 2 then		
		zombie_spawn(300,300)
	end
end

function love.update(dt)
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	if player.health == 0 then
		gamestate = "dead"
	end
	if gamestate == "playing" then
		if stage == "2nd" then
			loadLevel(2)
		end
		if player.x_velocity > 0 then 
			anim:update(dt)
		elseif player.x_velocity < 0 then 
			anim:update(dt)
		elseif player.y_velocity > 0 then 
			anim:update(dt)
		elseif player.y_velocity < 0 then 
			anim:update(dt)
		end
		if love.keyboard.isDown("backspace")then
			gamestate = "menu"
		end
		map_collide()
		player_move(dt)
		zombie_move(dt)	
	end
	if gamestate == "menu" then
		if love.keyboard.isDown("return") then
			gamestate = "playing"
			loadLevel(1)
			if stage == "2nd" then
				loadLevel(2)
			end
		end
		if love.keyboard.isDown("o") then
			gamestate = "options"
		end
		love.graphics.setBackgroundColor(0,0,0)
		button_hover()
		if love.keyboard.isDown("escape") then
			love.event.push("quit")
		end
	end
	if gamestate == "option" then
		if love.keyboard.isDown("backspace") then
			gamestate = "menu"
		end	
	end
end

function love.focus(f)
	if not f then
		gamestate = "menu"
	end
end

function love.draw()
	if gamestate == "playing" then
		zombie_draw()
		start = true
		stage = "start"
		love.graphics.draw(player.pic,player.x,player.y)
		love.graphics.setBackgroundColor(255,255,255)
		love.graphics.draw(black.pic,15 - black_width,0)
		love.graphics.draw(black.pic,0,15 - black_height)
		love.graphics.draw(black.pic,0,screen.height + ph)
		love.graphics.draw(black.pic,screen.width + pw,0)
		love.graphics.draw(yellow.pic,screen.width + pw,225)
		if second == true then
			loadLevel(2)
			stage = "2nd"
			love.graphics.clear()
			love.graphics.setBackgroundColor(200,200,200)
			love.graphics.draw(black.pic,15 - black_width,0)
			love.graphics.draw(black.pic,0,15 - black_height)
			love.graphics.draw(black.pic,0,screen.height + ph)
			love.graphics.draw(black.pic,screen.width + pw,0)
			love.graphics.draw(yellow.pic,15 - y_width,225)
		end
		if third == true then
			stage = "3rd"
			love.graphics.clear()
			love.graphics.setBackgroundColor(255,255,255)
			love.graphics.draw(black.pic,15 - black_width,0)
			love.graphics.draw(black.pic,0,15 - black_height)
			love.graphics.draw(black.pic,0,screen.height + ph)
			love.graphics.draw(black.pic,screen.width + pw,0)
			love.graphics.draw(yellow.pic,screen.width + pw,225)
		end
		if player.x_velocity > 0 then
			anim:draw(player.x,player.y)
		elseif player.x_velocity < 0 then
			anim:draw(player.x,player.y)
		elseif player.y_velocity > 0 then
			anim:draw(player.x,player.y)
		elseif player.y_velocity < 0 then
			anim:draw(player.x,player.y)
		end
		if player.direction == "right" and player.x_velocity == 0 then
			love.graphics.draw(player.pic,player.x,player.y)
		end
		if player.direction == "left" and player.x_velocity == 0 then
			love.graphics.draw(player.pic,player.x,player.y)
		end
		if player.direction == "up" and player.y_velocity == 0 then			
			love.graphics.draw(player.pic,player.x,player.y)
		end
		if player.direction == "down" and player.y_velocity == 0 then
			love.graphics.draw(player.pic,player.x,player.y)
		end	
	end
	if gamestate == "menu" then
		button_draw()
	end
	
	if gamestate == "options" then
		option_draw()
	end
end